Download it now!
Bug 90492 - CHART: Rearrange the UI
Summary: CHART: Rearrange the UI
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
4.5.0.0.alpha0+ Master
Hardware: Other All
: medium enhancement
Assignee: Yousuf Philips (jay) (retired)
URL:
Whiteboard: target:5.0.0
Keywords: needsUXEval
Depends on:
Blocks: Chart
  Show dependency treegraph
 
Reported: 2015-04-06 21:54 UTC by Yousuf Philips (jay) (retired)
Modified: 2017-04-21 12:40 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Reorganized Toolbars (45.30 KB, image/png)
2015-04-06 21:54 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2015-04-06 21:54:52 UTC
Created attachment 114663 [details]
Reorganized Toolbars

Presently when Chart opens, it has 2 toolbar rows at the top and the draw toolbar at the bottom. I would like to hide the draw toolbar, put the top 2 toolbars into a single row, remove all buttons from the standard toolbar except of undo and redo, and add to the formatting toolbar a number of the useful entries found in the menu bar and context menu.

Presently there are no icons for many of the new entries to go into the formatting toolbar, so presently they would remain as text until suitable icons are created.
Comment 1 A (Andy) 2015-04-07 07:11:30 UTC
My personal opinion:

(In reply to Jay Philips from comment #0)
> Created attachment 114663 [details]
> Reorganized Toolbars

> I would like to hide the draw toolbar, 
I would like to keep the Draw toolbar.  Imagine you want to draw a shape like like an arrow into the chart (which is fixed into the chart if you move it for for instance) then you need to draw it into chart after a double click on it and therefore I need the Draw toolbar here.

> put the top 2 toolbars into a single row, remove all buttons from the 
> standard toolbar except of undo and redo, 
For me this sounds ok, because you would not need/expect them there, because if you make a double click on a chart then you want to edit it and not save/open a file.  The Export Directly as PDF icon doesn't even work here (-> error message: "Error saving the document Untitled1: Wrong parameter. The operation was started under an invalid parameter.").
But I would like to keep the Copy and Paste icons.  The reason is the same as mentioned above for the Draw toolbar (e.g. if you want to paste an image into chart fixed then I need these icons here, of course I can also use the shortcuts, but I think it is reasonable to keep the icons too). 
 
> and add to the formatting toolbar a number of the useful entries found in the 
> menu bar and context menu.
This sounds good for me.

> Presently there are no icons for many of the new entries to go into the
> formatting toolbar, so presently they would remain as text until suitable
> icons are created.
Ok, but in the long run it would look better if you would also have icons for them, because it looks a little bit irritating to have icons and text together.  Then it looks a little bit like the text is the explanation/tooltip for the icon.
Comment 2 Yousuf Philips (jay) (retired) 2015-04-07 17:08:33 UTC
(In reply to A (Andy) from comment #1)
> I would like to keep the Draw toolbar.  Imagine you want to draw a shape
> like like an arrow into the chart (which is fixed into the chart if you move
> it for for instance) then you need to draw it into chart after a double
> click on it and therefore I need the Draw toolbar here.

Hiding the draw toolbar doesnt mean that it cant be shown by View > Toolbars > Drawing. Most people who double click on the chart arent looking to add shapes to it, so there isnt a need to have the drawing toolbar shown by default.

> For me this sounds ok, because you would not need/expect them there, because
> if you make a double click on a chart then you want to edit it and not
> save/open a file.  The Export Directly as PDF icon doesn't even work here
> (-> error message: "Error saving the document Untitled1: Wrong parameter.
> The operation was started under an invalid parameter.").
> But I would like to keep the Copy and Paste icons.  The reason is the same
> as mentioned above for the Draw toolbar (e.g. if you want to paste an image
> into chart fixed then I need these icons here, of course I can also use the
> shortcuts, but I think it is reasonable to keep the icons too). 

Most users expecting to modify a chart dont consider that they can copy and paste things into the chart, but of course for those who wish to do so, the right-click context menu will always be the fastest way to get to these options.

> Ok, but in the long run it would look better if you would also have icons
> for them, because it looks a little bit irritating to have icons and text
> together.  Then it looks a little bit like the text is the
> explanation/tooltip for the icon.

Yes this is always an ongoing problem that i'm facing any time i add new buttons to the toolbar that doesnt have icons, which results in me having to create icons for them. :D
Comment 3 Francisco 2015-04-08 01:15:17 UTC
Please, don't remove the "save" button. LibreOffice likes to randomly crash when editing charts with a lot of data. The save button has been quite useful... for me at least.
Comment 4 Yousuf Philips (jay) (retired) 2015-04-08 12:20:11 UTC
(In reply to Francisco from comment #3)
> Please, don't remove the "save" button. LibreOffice likes to randomly crash
> when editing charts with a lot of data. The save button has been quite
> useful... for me at least.

No buttons are being removed, they are just being hidden and users who wish to unhide them can easily do so. And of course you also have Ctrl+S to save. ;D
Comment 5 Commit Notification 2015-04-10 15:30:50 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=97857044b8f2ad0b0688131097540e9b87919e21

tdf#90492 Rearrange toolbars and buttons in Chart

It will be available in 5.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Robinson Tryon (qubit) 2016-08-25 05:39:29 UTC Comment hidden (obsolete)